petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMShellSetLocalVector

sets a template local vector associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetLocalVector(DM dm,Vec X)

Logically Collective on dm

### Input Arguments

| dm | - shell DM
| X | - template vector

### See Also

DMCreateLocalVector(), DMShellSetMatrix(), DMShellSetCreateLocalVector()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/snes/examples/tutorials/ex73f90t.F90.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages